Bug 732146 - Review Request: simfqt - C++ Simulated Fare Quote System Library
Review Request: simfqt - C++ Simulated Fare Quote System Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gieseking
Fedora Extras Quality Assurance
:
Depends On: 702987
Blocks: 760594
  Show dependency treegraph
 
Reported: 2011-08-19 20:56 EDT by Denis Arnaud
Modified: 2011-12-06 10:19 EST (History)
6 users (show)

See Also:
Fixed In Version: simfqt-0.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-24 20:52:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
martin.gieseking: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Denis Arnaud 2011-08-19 20:56:09 EDT
Spec URL:
http://denisarnaud.fedorapeople.org/sim/simfqt/simfqt-0.1.0-1.spec
SRPM URL:
http://denisarnaud.fedorapeople.org/sim/simfqt/simfqt-0.1.0-1.fc15.src.rpm
Description:
simfqt aims at providing a clean API and a simple implementation, as
a C++ library, of a Travel-oriented fare engine. It corresponds to
the simulated version of the real-world Fare Quote or pricing system.
Comment 1 Volker Fröhlich 2011-08-20 20:18:03 EDT
Please see my comments on the airsched package!
Comment 2 Denis Arnaud 2011-08-21 10:17:29 EDT
(integrated the feedback from the AirSched package review request: https://bugzilla.redhat.com/show_bug.cgi?id=732205#c2)
---------------------------------------------------------------------
Spec URL:
http://denisarnaud.fedorapeople.org/sim/simfqt/simfqt-0.1.1-1.spec
SRPM URL:
http://denisarnaud.fedorapeople.org/sim/simfqt/simfqt-0.1.1-1.fc15.src.rpm
---------------------------------------------------------------------
Comment 3 Martin Gieseking 2011-11-11 16:27:33 EST
Hi Denis,

the package looks fine. Just remove the INSTALL file from the docs. It's added to the package because you install it with "make install" into %{_docdir}/%{name}-%{version}. Files in this directory are considered a part of the package docs, and are added even if not listed in %files. The easiest way to fix this is to insert
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
after the mv statement in %install.

Please fix this before you check in the package.


$ rpmlint ./simfqt-*.rpm
simfqt.x86_64: W: install-file-in-docs /usr/share/doc/simfqt-0.1.1/INSTALL
5 packages and 0 specfiles checked; 0 errors, 1 warnings.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum simfqt-0.1.1.tar.bz2*
    85c626f3d7c5183bc983eff3fc69c691  simfqt-0.1.1.tar.bz2
    85c626f3d7c5183bc983eff3fc69c691  simfqt-0.1.1.tar.bz2.upstream

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: When compiling C, C++, or Fortran files, %{optflags} must be applied.
[.] MUST: The spec file MUST handle locales properly.
[+] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files must go in a -doc subpackage.
[.] MUST: Files in %doc must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: If a package contains library files with a suffix, then .so files without suffix must go in a -devel package.
[+] MUST: devel packages must require the base package using a fully versioned dependency.
[+] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

EPEL <= 5 only:
[+] MUST: The spec file must contain a valid BuildRoot field.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Your package should contain man pages for binaries/scripts.

----------------
Package APPROVED
----------------
Comment 4 Denis Arnaud 2011-11-11 18:04:20 EST
Thank you very much for that review, Martin!

I shall simply remove the INSTALL file from the source, i.e. upstream, as the build system is now based on CMake, and INSTALL is no longer relevant.

-------------------------------------------------------------------------------
New Package SCM Request
=======================
Package Name: simfqt
Short Description: C++ Simulated Fare Quote System Library
Owners: denisarnaud
Branches: f14 f15 f16 el4 el5 el6
InitialCC: denisarnaud
-------------------------------------------------------------------------------
Comment 5 Jon Ciesla 2011-11-11 20:20:53 EST
Git done (by process-git-requests).

Not accepting new f14 branches.  Also, --------------------, etc, not a
valid FAS account.
Comment 6 Fedora Update System 2011-11-13 04:12:32 EST
simfqt-0.1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/simfqt-0.1.2-1.fc16
Comment 7 Fedora Update System 2011-11-13 04:13:13 EST
simfqt-0.1.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/simfqt-0.1.2-1.fc15
Comment 8 Fedora Update System 2011-11-13 04:14:03 EST
simfqt-0.1.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/simfqt-0.1.2-1.el6
Comment 9 Fedora Update System 2011-11-13 19:51:38 EST
simfqt-0.1.2-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 10 Fedora Update System 2011-11-24 20:52:02 EST
simfqt-0.1.2-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2011-11-24 21:08:06 EST
simfqt-0.1.2-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2011-11-29 14:02:42 EST
simfqt-0.1.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.